> For the complete documentation index, see [llms.txt](https://docs.syntho.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.syntho.ai/syntho-api/syntho-rest-api/job-attachment.md).

# Job Attachment

## GET /api/v1/jobs/{job\_id}/attachments/

> List attachments

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ListOfJobAttachmentSchema":{"properties":{"attachments":{"items":{"$ref":"#/components/schemas/JobAttachmentSchema"},"title":"Attachments","type":"array"}},"required":["attachments"],"title":"ListOfJobAttachmentSchema","type":"object"},"JobAttachmentSchema":{"properties":{"id":{"format":"uuid","title":"Id","type":"string"},"job_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Job Id"},"type":{"$ref":"#/components/schemas/JobAttachmentType"},"created_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"default":null,"title":"Created At"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Name"}},"required":["id","type"],"title":"JobAttachmentSchema","type":"object"},"JobAttachmentType":{"enum":["LOG","PRIVACY_REPORT","IMPORTED_ENGINE"],"title":"JobAttachmentType","type":"string"},"HTTPValidationError":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Code"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"body":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Body"},"durability":{"anyOf":[{"$ref":"#/components/schemas/Durability"},{"type":"null"}],"default":"temporary"},"duration":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":5000,"title":"Duration"},"kind":{"anyOf":[{"$ref":"#/components/schemas/SystemMessageKind"},{"type":"null"}],"default":"info"},"details":{"anyOf":[{"additionalProperties":{"items":{"type":"string"},"type":"array"},"type":"object"},{"type":"null"}],"default":null,"title":"Details"},"payload":{"default":null,"title":"Payload"},"action":{"anyOf":[{"type":"object"},{"type":"null"}],"default":null,"title":"Action"},"display":{"anyOf":[{"$ref":"#/components/schemas/Display"},{"type":"null"}],"default":"notification"},"created_at":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Created At"}},"title":"HTTPValidationError","type":"object"},"Durability":{"enum":["transient","persistent","temporary"],"title":"Durability","type":"string"},"SystemMessageKind":{"enum":["success","error","warning","info"],"title":"SystemMessageKind","type":"string"},"Display":{"enum":["field","screen","notification"],"title":"Display","type":"string"}}},"paths":{"/api/v1/jobs/{job_id}/attachments/":{"get":{"operationId":"attachments_list","description":"List attachments","parameters":[{"in":"path","name":"job_id","schema":{"type":"string"},"required":true}],"tags":["JobAttachment"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListOfJobAttachmentSchema"}}},"description":"Success: Attachment list"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation error"},"503":{"description":"Message: unable to fetch attachment from external service"}}}}}}
```

## GET /api/v1/jobs/{job\_id}/download\_log/

> Download job log attachment

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/api/v1/jobs/{job_id}/download_log/":{"get":{"operationId":"jobs_download_log_retrieve","description":"Download job log attachment","parameters":[{"in":"path","name":"job_id","schema":{"type":"string"},"required":true}],"tags":["JobAttachment"],"responses":{"200":{"description":"Success: Job log archive (ZIP)"},"403":{"description":"Permission denied"},"404":{"description":"Job or log attachment not found"},"503":{"description":"Message: unable to fetch log from external service"}}}}}}
```

## GET /api/v1/jobs/attachment/{attachment\_id}/

> Get attachment metadata by id

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"JobAttachmentSchema":{"properties":{"id":{"format":"uuid","title":"Id","type":"string"},"job_id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"default":null,"title":"Job Id"},"type":{"$ref":"#/components/schemas/JobAttachmentType"},"created_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"default":null,"title":"Created At"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Name"}},"required":["id","type"],"title":"JobAttachmentSchema","type":"object"},"JobAttachmentType":{"enum":["LOG","PRIVACY_REPORT","IMPORTED_ENGINE"],"title":"JobAttachmentType","type":"string"},"HTTPValidationError":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Id"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Code"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Title"},"body":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"default":null,"title":"Body"},"durability":{"anyOf":[{"$ref":"#/components/schemas/Durability"},{"type":"null"}],"default":"temporary"},"duration":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":5000,"title":"Duration"},"kind":{"anyOf":[{"$ref":"#/components/schemas/SystemMessageKind"},{"type":"null"}],"default":"info"},"details":{"anyOf":[{"additionalProperties":{"items":{"type":"string"},"type":"array"},"type":"object"},{"type":"null"}],"default":null,"title":"Details"},"payload":{"default":null,"title":"Payload"},"action":{"anyOf":[{"type":"object"},{"type":"null"}],"default":null,"title":"Action"},"display":{"anyOf":[{"$ref":"#/components/schemas/Display"},{"type":"null"}],"default":"notification"},"created_at":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Created At"}},"title":"HTTPValidationError","type":"object"},"Durability":{"enum":["transient","persistent","temporary"],"title":"Durability","type":"string"},"SystemMessageKind":{"enum":["success","error","warning","info"],"title":"SystemMessageKind","type":"string"},"Display":{"enum":["field","screen","notification"],"title":"Display","type":"string"}}},"paths":{"/api/v1/jobs/attachment/{attachment_id}/":{"get":{"operationId":"jobs_attachment_retrieve","description":"Get attachment metadata by id","parameters":[{"in":"path","name":"attachment_id","schema":{"type":"string"},"required":true}],"tags":["JobAttachment"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobAttachmentSchema"}}},"description":"Success: Attachment details"},"404":{"description":"Attachment not found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation error"},"503":{"description":"Message: unable to fetch attachment from external service"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.syntho.ai/syntho-api/syntho-rest-api/job-attachment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
